<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<aui:script require="frontend-js-web/index as frontendJsWeb">
	var {runScriptsInElement} = frontendJsWeb;

	function handleIframeMessage(event) {
		if (event.data) {
			var virtualDocument = document.createElement('html');

			virtualDocument.innerHTML = JSON.parse(event.data).data;

			var virtualBody = virtualDocument.querySelector('.portlet-body');

			if (virtualBody) {
				document.querySelector('.portlet-body').innerHTML =
					virtualBody.innerHTML;
			}

			runScriptsInElement(virtualBody);
		}
	}

	window.addEventListener('message', handleIframeMessage);
</aui:script>